Agreement
curl --request GET \
--url https://api.sortx.co.uk/documents/{id}/agreement \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/documents/{id}/agreement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/documents/{id}/agreement"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"documentId": "<string>",
"revision": 123,
"confirmedAt": "<string>",
"confirmedByUserId": "<string>",
"parties": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>",
"contactId": "<string>",
"createdAt": "<string>",
"removedAt": "<string>",
"removedByUserId": "<string>",
"removalReason": "<string>"
}
],
"executions": [
{
"id": "<string>",
"partyId": "<string>",
"completedOn": "<string>",
"externalReference": "<string>",
"recordedAt": "<string>",
"recordedByUserId": "<string>",
"correctedAt": "<string>",
"correctedByUserId": "<string>",
"correctionReason": "<string>",
"evidence": [
{
"documentId": "<string>",
"linkedAt": "<string>"
}
]
}
],
"history": [
{
"id": "<string>",
"kind": "<string>",
"detail": "<string>",
"partyId": "<string>",
"executionId": "<string>",
"actorUserId": "<string>",
"createdAt": "<string>"
}
],
"complete": true,
"missingPartyIds": [
"<string>"
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}documents
Agreement
An agreement’s required parties, recorded external executions and history
GET
/
documents
/
{id}
/
agreement
Agreement
curl --request GET \
--url https://api.sortx.co.uk/documents/{id}/agreement \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/documents/{id}/agreement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/documents/{id}/agreement"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"documentId": "<string>",
"revision": 123,
"confirmedAt": "<string>",
"confirmedByUserId": "<string>",
"parties": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>",
"contactId": "<string>",
"createdAt": "<string>",
"removedAt": "<string>",
"removedByUserId": "<string>",
"removalReason": "<string>"
}
],
"executions": [
{
"id": "<string>",
"partyId": "<string>",
"completedOn": "<string>",
"externalReference": "<string>",
"recordedAt": "<string>",
"recordedByUserId": "<string>",
"correctedAt": "<string>",
"correctedByUserId": "<string>",
"correctionReason": "<string>",
"evidence": [
{
"documentId": "<string>",
"linkedAt": "<string>"
}
]
}
],
"history": [
{
"id": "<string>",
"kind": "<string>",
"detail": "<string>",
"partyId": "<string>",
"executionId": "<string>",
"actorUserId": "<string>",
"createdAt": "<string>"
}
],
"complete": true,
"missingPartyIds": [
"<string>"
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes